tskTaskControlBlock Struct Reference

## Data Fields

volatile StackType_t * | pxTopOfStack
ListItem_t | xStateListItem
ListItem_t | xEventListItem
UBaseType_t | uxPriority
StackType_t * | pxStack
char | pcTaskName [configMAX_TASK_NAME_LEN]
volatile uint32_t | ulNotifiedValue
volatile uint8_t | ucNotifyState

## Field Documentation

## pcTaskName

char pcTaskName[configMAX_TASK_NAME_LEN]

## pxStack

StackType_t* pxStack

## pxTopOfStack

volatile StackType_t* pxTopOfStack

## ucNotifyState

volatile uint8_t ucNotifyState

## ulNotifiedValue

volatile uint32_t ulNotifiedValue

## uxPriority

UBaseType_t uxPriority

## xEventListItem

ListItem_t xEventListItem

## xStateListItem

ListItem_t xStateListItem

The documentation for this struct was generated from the following file:

- tasks.c